> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reviews

> Admin: paginated review list with filters.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/reviews
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/reviews:
    get:
      tags:
        - admin
      summary: List Reviews
      description: 'Admin: paginated review list with filters.'
      operationId: list_reviews_api_v1_admin_reviews_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 25
            title: Page Size
        - name: is_approved
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Approved
        - name: rating
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 5
                minimum: 1
              - type: 'null'
            title: Rating
        - name: product_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Product Id
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search in body or author name
            title: Q
          description: Search in body or author name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_ReviewOut__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_ReviewOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/ReviewOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[ReviewOut]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReviewOut:
      properties:
        id:
          type: string
          title: Id
        product_id:
          type: string
          title: Product Id
        product_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Name
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        author_name:
          type: string
          title: Author Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        body:
          type: string
          title: Body
        rating:
          type: integer
          title: Rating
        is_approved:
          type: boolean
          title: Is Approved
        is_verified_purchase:
          type: boolean
          title: Is Verified Purchase
        helpful_votes:
          type: integer
          title: Helpful Votes
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - product_id
        - author_name
        - title
        - body
        - rating
        - is_approved
        - is_verified_purchase
        - helpful_votes
        - created_at
        - updated_at
      title: ReviewOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````